Get Business Interactions for a Service
get
/service/{id}/businessInteractions
Gets all business interactions associated with the configurations of the specified service.
Each response record contains the business interaction ID, name, specification, status, effective date, and the related service external management domain, name, and object ID.
Request
Path Parameters
-
id(required): string
The ID of the service.
Query Parameters
-
limit: integer
Minimum Value:
1Maximum Value:10000The number of items to return.Default Value:200 -
offset: integer
Minimum Value:
0The number of items to skip before starting to collect the result set.Default Value:0
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
The service business interactions were retrieved successfully.
Root Schema : schema
Type:
Show Source
array-
Array of:
object ServiceBusinessInteraction
Flattened business interaction details associated with a service.
Nested Schema : ServiceBusinessInteraction
Type:
objectFlattened business interaction details associated with a service.
Show Source
-
businessInteractionEffectiveDate: string
(date-time)
The effective date of the business interaction.
-
businessInteractionId: string
The identifier of the business interaction.
-
businessInteractionName: string
The name of the business interaction.
-
businessInteractionSpecification: string
The specification name of the business interaction.
-
businessInteractionStatus: string
The current status of the business interaction.
-
externalManagementDomain: string
The external management domain of the business interaction.
-
externalName: string
The external name of the business interaction.
-
externalObjectId: string
The external object identifier of the business interaction.
-
serviceExternalManagementDomain: string
The external management domain of the related service.
-
serviceName: string
The name of the related service.
-
serviceObjectId: string
The object identifier of the related service.
206 Response
A range of service business interactions were returned successfully.
Root Schema : schema
Type:
Show Source
array-
Array of:
object ServiceBusinessInteraction
Flattened business interaction details associated with a service.
Nested Schema : ServiceBusinessInteraction
Type:
objectFlattened business interaction details associated with a service.
Show Source
-
businessInteractionEffectiveDate: string
(date-time)
The effective date of the business interaction.
-
businessInteractionId: string
The identifier of the business interaction.
-
businessInteractionName: string
The name of the business interaction.
-
businessInteractionSpecification: string
The specification name of the business interaction.
-
businessInteractionStatus: string
The current status of the business interaction.
-
externalManagementDomain: string
The external management domain of the business interaction.
-
externalName: string
The external name of the business interaction.
-
externalObjectId: string
The external object identifier of the business interaction.
-
serviceExternalManagementDomain: string
The external management domain of the related service.
-
serviceName: string
The name of the related service.
-
serviceObjectId: string
The object identifier of the related service.
400 Response
The request isn't valid.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
401 Response
You aren't authorized to make this request.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
403 Response
The request is forbidden.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
404 Response
The resources wasn't found.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source
500 Response
An internal server error occurred.
Root Schema : Error
Type:
objectUsed when an API throws an error. This is typically used with HTTP error response codes (3xx, 4xx, 5xx).
Show Source
-
code: string
The error code.
-
entityType: string
Allowed Values:
[ "CustomObject", "CustomNetworkAddress", "DeviceInterface", "Equipment", "EquipmentHolder", "FlowIdentifier", "GeographicPlace", "GeographicLocation", "GeographicSite", "GeographicAddress", "GeographicAddressRange", "PropertyAddress", "PropertyLocation", "LogicalDevice", "LogicalDeviceAccount", "MediaStream", "Network", "NetworkEdge", "NetworkNode", "NetworkEntityCode", "PhysicalConnector", "PhysicalDevice", "PhysicalPort", "Pipe", "PipeTerminationPoint", "Service", "TelephoneNumber", "IPV4Address", "IPV6Address", "IPSubnet", "NetworkAddressDomain", "Connectivity", "Party" ]The list of valid values for an entity class. -
message: array
message
The text that provides more details about the error as well as corrective actions.
-
reason: string
The short, user-friendly summary of the problem, which does not change for subsequent occurrences of the problem.
-
referenceError: string
The URL pointing to the documentation that describes the error.
-
status: string
The HTTP error code extension, such as 400-2.
Nested Schema : message
Type:
arrayThe text that provides more details about the error as well as corrective actions.
Show Source